#ifndef __KK_MSG_REPORT_H
#define __KK_MSG_REPORT_H

#include "kk_ncp_msg.h"





void kk_msg_report_dev_joined(EmberEUI64 mac,const char* productCode);
void kk_msg_report_dev_leave(EmberEUI64 mac);
void kk_msg_report_batch_joined(cJSON *data,EmberEUI64 mac);
void kk_msg_report_batch_leave(cJSON *data,EmberEUI64 mac);
void kk_msg_report_property(cJSON *data,EmberEUI64 mac);
void kk_msg_report_whiteListAddedNotification(cJSON *data,EmberEUI64 mac);
void kk_msg_report_whiteListDelNotification(cJSON *data,EmberEUI64 mac);
void kk_msg_report_alarm(cJSON *data,EmberEUI64 mac);



#endif

